View Issue Details

IDProjectCategoryView StatusLast Update
0001651SymmetricDSBugpublic2014-04-14 22:19
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.19 
Target Version3.5.20Fixed in Version3.5.20 
Summary0001651: MySQL and SQL-Server bulk loaders handle BLOBs between different platforms
DescriptionWhen using a different database platform for the source, the MySQL and SQL-Server bulk loaders need to account for different binary encoding from the batch CSV.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 1a828cee

2014-03-24 12:32:41

erilong

Details Diff
0001651: MySQL and SQL-Server bulk loaders handle BLOBs between different platforms
0001651
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/ext/MySqlBulkDataLoaderFactory.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/MySqlBulkDatabaseWriter.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-mssql/src/main/java/org/jumpmind/symmetric/io/data/writer/MsSqlBulkDatabaseWriter.java Diff File

SymmetricDS: master c6e1f5a2

2014-03-24 13:05:45

erilong

Details Diff
0001651: MySQL and SQL-Server bulk loaders handle BLOBs between different platforms
0001651
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/MySqlBulkDatabaseWriter.java Diff File

SymmetricDS: master 394d8c50

2014-03-24 15:38:21

erilong

Details Diff
0001651: MySQL and SQL-Server bulk loaders handle BLOBs between different platforms - fix null problem
0001651
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/MySqlBulkDatabaseWriter.java Diff File
mod - symmetric-mssql/src/main/java/org/jumpmind/symmetric/io/data/writer/MsSqlBulkDatabaseWriter.java Diff File

SymmetricDS: master 7e234ccc

2014-03-25 16:58:16

erilong

Details Diff
0001651: MySQL and SQL-Server bulk loaders handle BLOBs between different platforms - fix escape mode
0001651
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/MySqlBulkDatabaseWriter.java Diff File
mod - symmetric-csv/src/main/java/org/jumpmind/symmetric/csv/CsvWriter.java Diff File

SymmetricDS: master 4010a2db

2014-03-26 15:09:59

erilong

Details Diff
0001651: MySQL and SQL-Server bulk loaders handle BLOBs between different platforms - add unit tests
0001651
mod - symmetric-client/pom.xml Diff File
add - symmetric-client/src/test/java/org/jumpmind/symmetric/io/data/writer/MySqlBulkDatabaseWriterTest.java Diff File
mod - symmetric-postgres/src/test/resources/testBulkWriter.xml Diff File

SymmetricDS: master fb72fcb6

2014-03-26 18:10:08

erilong

Details Diff
0001651: MySQL and SQL-Server bulk loaders handle BLOBs between different platforms - add unit tests
0001651
add - symmetric-client/src/test/resources/testBulkWriter.xml Diff File

Issue History

Date Modified Username Field Change
2014-03-24 11:32 elong New Issue
2014-03-24 11:32 elong Status new => assigned
2014-03-24 11:32 elong Assigned To => elong
2014-03-24 13:00 Changeset attached => SymmetricDS 3.5 r8100
2014-03-24 13:00 Changeset attached => SymmetricDS trunk r8101
2014-03-24 13:08 elong Status assigned => resolved
2014-03-24 13:08 elong Fixed in Version => 3.5.20
2014-03-24 13:08 elong Resolution open => fixed
2014-03-24 14:00 Changeset attached => SymmetricDS trunk r8102
2014-03-24 14:00 Changeset attached => SymmetricDS 3.5 r8103
2014-03-24 16:00 Changeset attached => SymmetricDS 3.5 r8104
2014-03-24 16:00 Changeset attached => SymmetricDS trunk r8105
2014-03-25 17:00 Changeset attached => SymmetricDS 3.5 r8106
2014-03-25 17:00 Changeset attached => SymmetricDS trunk r8107
2014-03-26 16:00 Changeset attached => SymmetricDS trunk r8108
2014-03-26 16:00 Changeset attached => SymmetricDS 3.5 r8109
2014-03-26 19:00 Changeset attached => SymmetricDS trunk r8112
2014-04-14 22:19 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master fb72fcb6
2015-07-30 21:49 Changeset attached => SymmetricDS master 4010a2db
2015-07-30 21:49 Changeset attached => SymmetricDS master 7e234ccc
2015-07-30 21:49 Changeset attached => SymmetricDS master 394d8c50
2015-07-30 21:49 Changeset attached => SymmetricDS master c6e1f5a2
2015-07-30 21:49 Changeset attached => SymmetricDS master 1a828cee